- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions

# QStringMatcher Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qstringmatcher.h.

`#include <qstringmatcher.h>`

List of all members.

## Classes
struct | Data
## Public Member Functions
| QStringMatcher ()
| QStringMatcher (const QString &pattern, Qt::CaseSensitivity cs=Qt::CaseSensitive)
| QStringMatcher (const QChar *uc, int len, Qt::CaseSensitivity cs=Qt::CaseSensitive)
| QStringMatcher (const QStringMatcher &other)
| ~QStringMatcher ()
QStringMatcher & | operator= (const QStringMatcher &other)
void | setPattern (const QString &pattern)
void | setCaseSensitivity (Qt::CaseSensitivity cs)
int | indexIn (const QString &str, int from=0) const
int | indexIn (const QChar *str, int length, int from=0) const
QString | pattern () const
Qt::CaseSensitivity | caseSensitivity () const

## Constructor & Destructor Documentation

QStringMatcher | ( |  | ) |

QStringMatcher | ( | const QString & | pattern,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

QStringMatcher | ( | const QChar * | uc,
|  | int | len,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

QStringMatcher | ( | const QStringMatcher & | other | ) |

~QStringMatcher | ( |  | ) |

## Member Function Documentation

QStringMatcher& operator= | ( | const QStringMatcher & | other | ) |

void setPattern | ( | const QString & | pattern | ) |

Search for all occurrences

void setCaseSensitivity | ( | Qt::CaseSensitivity | cs | ) |

Search for all occurrences

int indexIn | ( | const QString & | str,
|  | int | from = `0`
| ) |  | const

Search for all occurrences

int indexIn | ( | const QChar * | str,
|  | int | length,
|  | int | from = `0`
| ) |  | const

Search for all occurrences

QString pattern | ( |  | ) | const

Search for all occurrences

Qt::CaseSensitivity caseSensitivity | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 74 of file qstringmatcher.h.

    { return q_cs; }

## Member Data Documentation

uint q_data[256]

Search for all occurrences

Definition at line 91 of file qstringmatcher.h.

Data p

Search for all occurrences

Definition at line 92 of file qstringmatcher.h.

The documentation for this class was generated from the following file:

- QtCore/qstringmatcher.h

QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher
QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher QStringMatcher